Skip to content

Instantly share code, notes, and snippets.

@akutz akutz/rexray_vagrant_up.sh
Last active Jun 20, 2016

Embed
What would you like to do?
REX-Ray Vagrant Environment
$ vagrant up
starting virtualbox web server
Oracle VM VirtualBox web service Version 5.0.22
(C) 2007-2016 Oracle Corporation
All rights reserved.
VirtualBox web service 5.0.22 r108108 darwin.amd64 (Jun 16 2016 13:56:49) release log
00:00:00.000165 main Log opened 2016-06-20T20:31:23.752609000Z
00:00:00.000167 main Build Type: release
00:00:00.000181 main OS Product: Darwin
00:00:00.000187 main OS Release: 15.5.0
00:00:00.000192 main OS Version: Darwin Kernel Version 15.5.0: Tue Apr 19 18:36:36 PDT 2016; root:xnu-3248.50.21~8/RELEASE_X86_64
00:00:00.000292 main DMI Product Name: MacBookPro11,4
00:00:00.000338 main DMI Product Version: 1.0
00:00:00.000351 main Host RAM: 16384MB total, 6891MB available
00:00:00.000354 main Executable: /Applications/VirtualBox.app/Contents/MacOS/vboxwebsrv
00:00:00.000354 main Process ID: 50676
00:00:00.000355 main Package type: DARWIN_64BITS_GENERIC
Bringing machine 'node0' up with 'virtualbox' provider...
Bringing machine 'node1' up with 'virtualbox' provider...
==> node0: Importing base box 'ubuntu/trusty64'...
==> node0: Matching MAC address for NAT networking...
==> node0: Checking if box 'ubuntu/trusty64' is up to date...
==> node0: Setting the name of the VM: rexray_node0_1466454695213_86206
==> node0: Clearing any previously set forwarded ports...
==> node0: Clearing any previously set network interfaces...
==> node0: Preparing network interfaces based on configuration...
node0: Adapter 1: nat
node0: Adapter 2: hostonly
==> node0: Forwarding ports...
node0: 22 (guest) => 2222 (host) (adapter 1)
==> node0: Running 'pre-boot' VM customizations...
==> node0: Booting VM...
==> node0: Waiting for machine to boot. This may take a few minutes...
node0: SSH address: 127.0.0.1:2222
node0: SSH username: vagrant
node0: SSH auth method: private key
node0:
node0: Vagrant insecure key detected. Vagrant will automatically replace
node0: this with a newly generated keypair for better security.
node0:
node0: Inserting generated public key within guest...
node0: Removing insecure key from the guest if it's present...
node0: Key inserted! Disconnecting and reconnecting using new SSH key...
==> node0: Machine booted and ready!
==> node0: Checking for guest additions in VM...
node0: The guest additions on this VM do not match the installed version of
node0: VirtualBox! In most cases this is fine, but in rare cases it can
node0: prevent things such as shared folders from working properly. If you see
node0: shared folder errors, please make sure the guest additions within the
node0: virtual machine match the version of VirtualBox you have installed on
node0: your host and reload your VM.
node0:
node0: Guest Additions Version: 4.3.36
node0: VirtualBox Version: 5.0
==> node0: Setting hostname...
==> node0: Configuring and enabling network interfaces...
==> node0: Mounting shared folders...
node0: /vagrant => /Users/akutz/Projects/go/src/github.com/emccode/rexray
==> node0: Running provisioner: shell...
node0: Running: script: docker
==> node0: stdin: is not a tty
==> node0: Get:1 http://security.ubuntu.com trusty-security InRelease [65.9 kB]
==> node0: Ign http://archive.ubuntu.com trusty InRelease
==> node0: Get:2 http://security.ubuntu.com trusty-security/main Sources [117 kB]
==> node0: Get:3 http://archive.ubuntu.com trusty-updates InRelease [65.9 kB]
==> node0: Get:4 http://security.ubuntu.com trusty-security/universe Sources [37.3 kB]
==> node0: Get:5 http://security.ubuntu.com trusty-security/main amd64 Packages [493 kB]
==> node0: Get:6 http://security.ubuntu.com trusty-security/universe amd64 Packages [130 kB]
==> node0: Get:7 http://archive.ubuntu.com trusty-backports InRelease [65.9 kB]
==> node0: Get:8 http://security.ubuntu.com trusty-security/main Translation-en [271 kB]
==> node0: Get:9 http://security.ubuntu.com trusty-security/universe Translation-en [76.6 kB]
==> node0: Hit http://archive.ubuntu.com trusty Release.gpg
==> node0: Get:10 http://archive.ubuntu.com trusty-updates/main Sources [277 kB]
==> node0: Get:11 http://archive.ubuntu.com trusty-updates/restricted Sources [5,352 B]
==> node0: Get:12 http://archive.ubuntu.com trusty-updates/universe Sources [156 kB]
==> node0: Get:13 http://archive.ubuntu.com trusty-updates/multiverse Sources [5,936 B]
==> node0: Get:14 http://archive.ubuntu.com trusty-updates/main amd64 Packages [781 kB]
==> node0: Get:15 http://archive.ubuntu.com trusty-updates/restricted amd64 Packages [15.9 kB]
==> node0: Get:16 http://archive.ubuntu.com trusty-updates/universe amd64 Packages [362 kB]
==> node0: Get:17 http://archive.ubuntu.com trusty-updates/multiverse amd64 Packages [13.2 kB]
==> node0: Get:18 http://archive.ubuntu.com trusty-updates/main Translation-en [391 kB]
==> node0: Get:19 http://archive.ubuntu.com trusty-updates/multiverse Translation-en [7,227 B]
==> node0: Get:20 http://archive.ubuntu.com trusty-updates/restricted Translation-en [3,699 B]
==> node0: Get:21 http://archive.ubuntu.com trusty-updates/universe Translation-en [189 kB]
==> node0: Get:22 http://archive.ubuntu.com trusty-backports/main Sources [9,551 B]
==> node0: Get:23 http://archive.ubuntu.com trusty-backports/restricted Sources [28 B]
==> node0: Get:24 http://archive.ubuntu.com trusty-backports/universe Sources [35.2 kB]
==> node0: Get:25 http://archive.ubuntu.com trusty-backports/multiverse Sources [1,898 B]
==> node0: Get:26 http://archive.ubuntu.com trusty-backports/main amd64 Packages [13.3 kB]
==> node0: Get:27 http://archive.ubuntu.com trusty-backports/restricted amd64 Packages [28 B]
==> node0: Get:28 http://archive.ubuntu.com trusty-backports/universe amd64 Packages [43.2 kB]
==> node0: Get:29 http://archive.ubuntu.com trusty-backports/multiverse amd64 Packages [1,571 B]
==> node0: Get:30 http://archive.ubuntu.com trusty-backports/main Translation-en [7,505 B]
==> node0: Get:31 http://archive.ubuntu.com trusty-backports/multiverse Translation-en [1,215 B]
==> node0: Get:32 http://archive.ubuntu.com trusty-backports/restricted Translation-en [28 B]
==> node0: Get:33 http://archive.ubuntu.com trusty-backports/universe Translation-en [36.8 kB]
==> node0: Hit http://archive.ubuntu.com trusty Release
==> node0: Get:34 http://archive.ubuntu.com trusty/main Sources [1,064 kB]
==> node0: Get:35 http://archive.ubuntu.com trusty/restricted Sources [5,433 B]
==> node0: Get:36 http://archive.ubuntu.com trusty/universe Sources [6,399 kB]
==> node0: Get:37 http://archive.ubuntu.com trusty/multiverse Sources [174 kB]
==> node0: Hit http://archive.ubuntu.com trusty/main amd64 Packages
==> node0: Hit http://archive.ubuntu.com trusty/restricted amd64 Packages
==> node0: Hit http://archive.ubuntu.com trusty/universe amd64 Packages
==> node0: Hit http://archive.ubuntu.com trusty/multiverse amd64 Packages
==> node0: Hit http://archive.ubuntu.com trusty/main Translation-en
==> node0: Hit http://archive.ubuntu.com trusty/multiverse Translation-en
==> node0: Hit http://archive.ubuntu.com trusty/restricted Translation-en
==> node0: Hit http://archive.ubuntu.com trusty/universe Translation-en
==> node0: Ign http://archive.ubuntu.com trusty/main Translation-en_US
==> node0: Ign http://archive.ubuntu.com trusty/multiverse Translation-en_US
==> node0: Ign http://archive.ubuntu.com trusty/restricted Translation-en_US
==> node0: Ign http://archive.ubuntu.com trusty/universe Translation-en_US
==> node0: Fetched 11.3 MB in 10s (1,079 kB/s)
==> node0: Reading package lists...
==> node0: Reading package lists...
==> node0: Building dependency tree...
==> node0: Reading state information...
==> node0: apt-transport-https is already the newest version.
==> node0: ca-certificates is already the newest version.
==> node0: 0 upgraded, 0 newly installed, 0 to remove and 9 not upgraded.
==> node0: Executing: gpg --ignore-time-conflict --no-options --no-default-keyring --homedir /tmp/tmp.rSWhxkmumW --no-auto-check-trustdb --trust-model always --keyring /etc/apt/trusted.gpg --primary-keyring /etc/apt/trusted.gpg --keyserver hkp://p80.pool.sks-keyservers.net:80 --recv-keys 58118E89F3A912897C070ADBF76221572C52609D
==> node0: gpg: requesting key 2C52609D from hkp server p80.pool.sks-keyservers.net
==> node0: gpg:
==> node0: key 2C52609D: public key "Docker Release Tool (releasedocker) <docker@docker.com>" imported
==> node0: gpg:
==> node0: Total number processed: 1
==> node0: gpg:
==> node0: imported: 1
==> node0: (RSA: 1)
==> node0: Hit http://security.ubuntu.com trusty-security InRelease
==> node0: Hit http://security.ubuntu.com trusty-security/main Sources
==> node0: Ign http://archive.ubuntu.com trusty InRelease
==> node0: Hit http://security.ubuntu.com trusty-security/universe Sources
==> node0: Hit http://security.ubuntu.com trusty-security/main amd64 Packages
==> node0: Hit http://archive.ubuntu.com trusty-updates InRelease
==> node0: Hit http://security.ubuntu.com trusty-security/universe amd64 Packages
==> node0: Hit http://security.ubuntu.com trusty-security/main Translation-en
==> node0: Hit http://archive.ubuntu.com trusty-backports InRelease
==> node0: Hit http://security.ubuntu.com trusty-security/universe Translation-en
==> node0: Hit http://archive.ubuntu.com trusty Release.gpg
==> node0: Hit http://archive.ubuntu.com trusty-updates/main Sources
==> node0: Get:1 https://apt.dockerproject.org ubuntu-trusty/main amd64 Packages
==> node0: Hit http://archive.ubuntu.com trusty-updates/restricted Sources
==> node0: Get:2 https://apt.dockerproject.org ubuntu-trusty/main Translation-en_US
==> node0: Hit http://archive.ubuntu.com trusty-updates/universe Sources
==> node0: Hit http://archive.ubuntu.com trusty-updates/multiverse Sources
==> node0: Hit http://archive.ubuntu.com trusty-updates/main amd64 Packages
==> node0: Hit http://archive.ubuntu.com trusty-updates/restricted amd64 Packages
==> node0: Hit http://archive.ubuntu.com trusty-updates/universe amd64 Packages
==> node0: Hit http://archive.ubuntu.com trusty-updates/multiverse amd64 Packages
==> node0: Hit http://archive.ubuntu.com trusty-updates/main Translation-en
==> node0: Ign https://apt.dockerproject.org ubuntu-trusty/main Translation-en_US
==> node0: Ign https://apt.dockerproject.org ubuntu-trusty/main Translation-en
==> node0: Hit http://archive.ubuntu.com trusty-updates/multiverse Translation-en
==> node0: Hit http://archive.ubuntu.com trusty-updates/restricted Translation-en
==> node0: Hit http://archive.ubuntu.com trusty-updates/universe Translation-en
==> node0: Hit http://archive.ubuntu.com trusty-backports/main Sources
==> node0: Hit http://archive.ubuntu.com trusty-backports/restricted Sources
==> node0: Hit http://archive.ubuntu.com trusty-backports/universe Sources
==> node0: Hit http://archive.ubuntu.com trusty-backports/multiverse Sources
==> node0: Hit http://archive.ubuntu.com trusty-backports/main amd64 Packages
==> node0: Hit http://archive.ubuntu.com trusty-backports/restricted amd64 Packages
==> node0: Hit http://archive.ubuntu.com trusty-backports/universe amd64 Packages
==> node0: Hit http://archive.ubuntu.com trusty-backports/multiverse amd64 Packages
==> node0: Hit http://archive.ubuntu.com trusty-backports/main Translation-en
==> node0: Hit http://archive.ubuntu.com trusty-backports/multiverse Translation-en
==> node0: Hit http://archive.ubuntu.com trusty-backports/restricted Translation-en
==> node0: Hit http://archive.ubuntu.com trusty-backports/universe Translation-en
==> node0: Hit http://archive.ubuntu.com trusty Release
==> node0: Hit http://archive.ubuntu.com trusty/main Sources
==> node0: Hit http://archive.ubuntu.com trusty/restricted Sources
==> node0: Hit http://archive.ubuntu.com trusty/universe Sources
==> node0: Hit http://archive.ubuntu.com trusty/multiverse Sources
==> node0: Hit http://archive.ubuntu.com trusty/main amd64 Packages
==> node0: Hit http://archive.ubuntu.com trusty/restricted amd64 Packages
==> node0: Hit http://archive.ubuntu.com trusty/universe amd64 Packages
==> node0: Hit http://archive.ubuntu.com trusty/multiverse amd64 Packages
==> node0: Hit http://archive.ubuntu.com trusty/main Translation-en
==> node0: Hit http://archive.ubuntu.com trusty/multiverse Translation-en
==> node0: Hit http://archive.ubuntu.com trusty/restricted Translation-en
==> node0: Hit http://archive.ubuntu.com trusty/universe Translation-en
==> node0: Ign http://archive.ubuntu.com trusty/main Translation-en_US
==> node0: Ign http://archive.ubuntu.com trusty/multiverse Translation-en_US
==> node0: Ign http://archive.ubuntu.com trusty/restricted Translation-en_US
==> node0: Ign http://archive.ubuntu.com trusty/universe Translation-en_US
==> node0: Fetched 25.6 kB in 8s (3,079 B/s)
==> node0: Reading package lists...
==> node0: Reading package lists...
==> node0: Building dependency tree...
==> node0: Reading state information...
==> node0: Package 'lxc-docker' is not installed, so not removed
==> node0: 0 upgraded, 0 newly installed, 0 to remove and 9 not upgraded.
==> node0: Reading package lists...
==> node0: Building dependency tree...
==> node0: Reading state information...
==> node0: The following extra packages will be installed:
==> node0: crda iw libnl-3-200 libnl-genl-3-200 wireless-regdb
==> node0: The following NEW packages will be installed:
==> node0: crda iw libnl-3-200 libnl-genl-3-200 linux-image-extra-3.13.0-87-generic
==> node0: wireless-regdb
==> node0: 0 upgraded, 6 newly installed, 0 to remove and 9 not upgraded.
==> node0: Need to get 36.9 MB of archives.
==> node0: After this operation, 153 MB of additional disk space will be used.
==> node0: Do you want to continue?
==> node0: [Y/n]
==> node0: Abort.
==> node0: Reading package lists...
==> node0: Building dependency tree...
==> node0: Reading state information...
==> node0: apparmor is already the newest version.
==> node0: 0 upgraded, 0 newly installed, 0 to remove and 9 not upgraded.
==> node0: Hit http://security.ubuntu.com trusty-security InRelease
==> node0: Hit http://security.ubuntu.com trusty-security/main Sources
==> node0: Ign http://archive.ubuntu.com trusty InRelease
==> node0: Hit http://security.ubuntu.com trusty-security/universe Sources
==> node0: Hit http://security.ubuntu.com trusty-security/main amd64 Packages
==> node0: Hit https://apt.dockerproject.org ubuntu-trusty InRelease
==> node0: Hit http://archive.ubuntu.com trusty-updates InRelease
==> node0: Hit https://apt.dockerproject.org ubuntu-trusty/main amd64 Packages
==> node0: Hit http://security.ubuntu.com trusty-security/universe amd64 Packages
==> node0: Get:1 https://apt.dockerproject.org ubuntu-trusty/main Translation-en_US
==> node0: Hit http://security.ubuntu.com trusty-security/main Translation-en
==> node0: Hit http://archive.ubuntu.com trusty-backports InRelease
==> node0: Hit http://security.ubuntu.com trusty-security/universe Translation-en
==> node0: Hit http://archive.ubuntu.com trusty Release.gpg
==> node0: Ign https://apt.dockerproject.org ubuntu-trusty/main Translation-en_US
==> node0: Ign https://apt.dockerproject.org ubuntu-trusty/main Translation-en
==> node0: Hit http://archive.ubuntu.com trusty-updates/main Sources
==> node0: Hit http://archive.ubuntu.com trusty-updates/restricted Sources
==> node0: Hit http://archive.ubuntu.com trusty-updates/universe Sources
==> node0: Hit http://archive.ubuntu.com trusty-updates/multiverse Sources
==> node0: Hit http://archive.ubuntu.com trusty-updates/main amd64 Packages
==> node0: Hit http://archive.ubuntu.com trusty-updates/restricted amd64 Packages
==> node0: Hit http://archive.ubuntu.com trusty-updates/universe amd64 Packages
==> node0: Hit http://archive.ubuntu.com trusty-updates/multiverse amd64 Packages
==> node0: Hit http://archive.ubuntu.com trusty-updates/main Translation-en
==> node0: Hit http://archive.ubuntu.com trusty-updates/multiverse Translation-en
==> node0: Hit http://archive.ubuntu.com trusty-updates/restricted Translation-en
==> node0: Hit http://archive.ubuntu.com trusty-updates/universe Translation-en
==> node0: Hit http://archive.ubuntu.com trusty-backports/main Sources
==> node0: Hit http://archive.ubuntu.com trusty-backports/restricted Sources
==> node0: Hit http://archive.ubuntu.com trusty-backports/universe Sources
==> node0: Hit http://archive.ubuntu.com trusty-backports/multiverse Sources
==> node0: Hit http://archive.ubuntu.com trusty-backports/main amd64 Packages
==> node0: Hit http://archive.ubuntu.com trusty-backports/restricted amd64 Packages
==> node0: Hit http://archive.ubuntu.com trusty-backports/universe amd64 Packages
==> node0: Hit http://archive.ubuntu.com trusty-backports/multiverse amd64 Packages
==> node0: Hit http://archive.ubuntu.com trusty-backports/main Translation-en
==> node0: Hit http://archive.ubuntu.com trusty-backports/multiverse Translation-en
==> node0: Hit http://archive.ubuntu.com trusty-backports/restricted Translation-en
==> node0: Hit http://archive.ubuntu.com trusty-backports/universe Translation-en
==> node0: Hit http://archive.ubuntu.com trusty Release
==> node0: Hit http://archive.ubuntu.com trusty/main Sources
==> node0: Hit http://archive.ubuntu.com trusty/restricted Sources
==> node0: Hit http://archive.ubuntu.com trusty/universe Sources
==> node0: Hit http://archive.ubuntu.com trusty/multiverse Sources
==> node0: Hit http://archive.ubuntu.com trusty/main amd64 Packages
==> node0: Hit http://archive.ubuntu.com trusty/restricted amd64 Packages
==> node0: Hit http://archive.ubuntu.com trusty/universe amd64 Packages
==> node0: Hit http://archive.ubuntu.com trusty/multiverse amd64 Packages
==> node0: Hit http://archive.ubuntu.com trusty/main Translation-en
==> node0: Hit http://archive.ubuntu.com trusty/multiverse Translation-en
==> node0: Hit http://archive.ubuntu.com trusty/restricted Translation-en
==> node0: Hit http://archive.ubuntu.com trusty/universe Translation-en
==> node0: Ign http://archive.ubuntu.com trusty/main Translation-en_US
==> node0: Ign http://archive.ubuntu.com trusty/multiverse Translation-en_US
==> node0: Ign http://archive.ubuntu.com trusty/restricted Translation-en_US
==> node0: Ign http://archive.ubuntu.com trusty/universe Translation-en_US
==> node0: Reading package lists...
==> node0: Reading package lists...
==> node0: Building dependency tree...
==> node0: Reading state information...
==> node0: The following extra packages will be installed:
==> node0: aufs-tools cgroup-lite git git-man liberror-perl libsystemd-journal0
==> node0: Suggested packages:
==> node0: git-daemon-run git-daemon-sysvinit git-doc git-el git-email git-gui gitk
==> node0: gitweb git-arch git-bzr git-cvs git-mediawiki git-svn
==> node0: The following NEW packages will be installed:
==> node0: aufs-tools cgroup-lite docker-engine git git-man liberror-perl
==> node0: libsystemd-journal0
==> node0: 0 upgraded, 7 newly installed, 0 to remove and 9 not upgraded.
==> node0: Need to get 17.8 MB of archives.
==> node0: After this operation, 95.5 MB of additional disk space will be used.
==> node0: Get:1 http://archive.ubuntu.com/ubuntu/ trusty-updates/main libsystemd-journal0 amd64 204-5ubuntu20.19 [50.1 kB]
==> node0: Get:2 http://archive.ubuntu.com/ubuntu/ trusty/universe aufs-tools amd64 1:3.2+20130722-1.1 [92.3 kB]
==> node0: Get:3 http://archive.ubuntu.com/ubuntu/ trusty/main liberror-perl all 0.17-1.1 [21.1 kB]
==> node0: Get:4 http://archive.ubuntu.com/ubuntu/ trusty-updates/main git-man all 1:1.9.1-1ubuntu0.3 [699 kB]
==> node0: Get:5 http://archive.ubuntu.com/ubuntu/ trusty-updates/main git amd64 1:1.9.1-1ubuntu0.3 [2,586 kB]
==> node0: Get:6 http://archive.ubuntu.com/ubuntu/ trusty/main cgroup-lite all 1.9 [3,918 B]
==> node0: dpkg-preconfigure: unable to re-open stdin: No such file or directory
==> node0: Fetched 17.8 MB in 3s (5,411 kB/s)
==> node0: Selecting previously unselected package libsystemd-journal0:amd64.
==> node0: (Reading database ... 62989 files and directories currently installed.)
==> node0: Preparing to unpack .../libsystemd-journal0_204-5ubuntu20.19_amd64.deb ...
==> node0: Unpacking libsystemd-journal0:amd64 (204-5ubuntu20.19) ...
==> node0: Selecting previously unselected package aufs-tools.
==> node0: Preparing to unpack .../aufs-tools_1%3a3.2+20130722-1.1_amd64.deb ...
==> node0: Unpacking aufs-tools (1:3.2+20130722-1.1) ...
==> node0: Selecting previously unselected package docker-engine.
==> node0: Preparing to unpack .../docker-engine_1.11.2-0~trusty_amd64.deb ...
==> node0: Unpacking docker-engine (1.11.2-0~trusty) ...
==> node0: Selecting previously unselected package liberror-perl.
==> node0: Preparing to unpack .../liberror-perl_0.17-1.1_all.deb ...
==> node0: Unpacking liberror-perl (0.17-1.1) ...
==> node0: Selecting previously unselected package git-man.
==> node0: Preparing to unpack .../git-man_1%3a1.9.1-1ubuntu0.3_all.deb ...
==> node0: Unpacking git-man (1:1.9.1-1ubuntu0.3) ...
==> node0: Selecting previously unselected package git.
==> node0: Preparing to unpack .../git_1%3a1.9.1-1ubuntu0.3_amd64.deb ...
==> node0: Unpacking git (1:1.9.1-1ubuntu0.3) ...
==> node0: Selecting previously unselected package cgroup-lite.
==> node0: Preparing to unpack .../cgroup-lite_1.9_all.deb ...
==> node0: Unpacking cgroup-lite (1.9) ...
==> node0: Processing triggers for man-db (2.6.7.1-1ubuntu1) ...
==> node0: Processing triggers for ureadahead (0.100.0-16) ...
==> node0: Setting up libsystemd-journal0:amd64 (204-5ubuntu20.19) ...
==> node0: Setting up aufs-tools (1:3.2+20130722-1.1) ...
==> node0: Setting up docker-engine (1.11.2-0~trusty) ...
==> node0: docker start/running, process 4767
==> node0: Setting up liberror-perl (0.17-1.1) ...
==> node0: Setting up git-man (1:1.9.1-1ubuntu0.3) ...
==> node0: Setting up git (1:1.9.1-1ubuntu0.3) ...
==> node0: Setting up cgroup-lite (1.9) ...
==> node0: cgroup-lite start/running
==> node0: Processing triggers for libc-bin (2.19-0ubuntu6.9) ...
==> node0: Processing triggers for ureadahead (0.100.0-16) ...
==> node0: start: Job is already running: docker
==> node0: Unable to find image 'hello-world:latest' locally
==> node0: latest: Pulling from library/hello-world
==> node0: a9d36faac0fe: Pulling fs layer
==> node0: a9d36faac0fe: Verifying Checksum
==> node0: a9d36faac0fe: Download complete
==> node0: a9d36faac0fe: Pull complete
==> node0: Digest: sha256:e52be8ffeeb1f374f440893189cd32f44cb166650e7ab185fa7735b7dc48d619
==> node0: Status: Downloaded newer image for hello-world:latest
==> node0:
==> node0: Hello from Docker.
==> node0: This message shows that your installation appears to be working correctly.
==> node0:
==> node0: To generate this message, Docker took the following steps:
==> node0: 1. The Docker client contacted the Docker daemon.
==> node0: 2. The Docker daemon pulled the "hello-world" image from the Docker Hub.
==> node0: 3. The Docker daemon created a new container from that image which runs the
==> node0: executable that produces the output you are currently reading.
==> node0: 4. The Docker daemon streamed that output to the Docker client, which sent it
==> node0: to your terminal.
==> node0:
==> node0: To try something more ambitious, you can run an Ubuntu container with:
==> node0: $ docker run -it ubuntu bash
==> node0:
==> node0: Share images, automate workflows, and more with a free Docker Hub account:
==> node0: https://hub.docker.com
==> node0:
==> node0: For more examples and ideas, visit:
==> node0: https://docs.docker.com/engine/userguide/
==> node0: Running provisioner: shell...
node0: Running: script: golang
==> node0: stdin: is not a tty
==> node0: installing go1.6.2.linux-amd64
==> node0: Running provisioner: shell...
node0: Running: script: go-bindata
==> node0: stdin: is not a tty
==> node0: Cloning into '.'...
==> node0: Switched to a new branch 'feature/md5checksum'
==> node0: Branch feature/md5checksum set up to track remote branch feature/md5checksum from origin.
==> node0: Running provisioner: shell...
node0: Running: script: build rex-ray
==> node0: stdin: is not a tty
==> node0: Cloning into '.'...
==> node0: Switched to a new branch 'release/0.4.0-rc4'
==> node0: Branch release/0.4.0-rc4 set up to track remote branch release/0.4.0-rc4 from origin.
==> node0: target: deps
==> node0: ...installing glide...
==> node0: SUCCESS!
==> node0: ...glide up...
==> node0: [WARN] Only resolving dependencies for the current OS/Arch
==> node0: [INFO] Downloading dependencies. Please wait...
==> node0: [INFO] Fetching updates for github.com/Sirupsen/logrus.
==> node0: [INFO] Fetching updates for github.com/emccode/libstorage.
==> node0: [INFO] Fetching updates for github.com/akutz/gofig.
==> node0: [INFO] Fetching updates for github.com/akutz/gotil.
==> node0: [INFO] Fetching updates for github.com/akutz/goof.
==> node0: [INFO] Fetching updates for github.com/akutz/golf.
==> node0: [INFO] Fetching updates for github.com/spf13/pflag.
==> node0: [INFO] Fetching updates for github.com/spf13/cobra.
==> node0: [INFO] Fetching updates for github.com/go-yaml/yaml.
==> node0: [INFO] Fetching updates for google.golang.org/api.
==> node0: [INFO] Fetching updates for golang.org/x/net.
==> node0: [INFO] Fetching updates for gopkg.in/yaml.v1.
==> node0: [INFO] Fetching updates for gopkg.in/yaml.v2.
==> node0: [INFO] Setting version for github.com/Sirupsen/logrus to feature/logrus-aware-types.
==> node0: [INFO] Setting version for github.com/akutz/gofig to v0.1.4.
==> node0: [INFO] Setting version for github.com/emccode/libstorage to v0.1.3.
==> node0: [INFO] Setting version for github.com/akutz/gotil to v0.1.0.
==> node0: [INFO] Setting version for github.com/go-yaml/yaml to b4a9f8c4b84c6c4256d669c649837f1441e4b050.
==> node0: [INFO] Setting version for github.com/spf13/pflag to b084184666e02084b8ccb9b704bf0d79c466eb1d.
==> node0: [INFO] Setting version for google.golang.org/api to fd081149e482b10c55262756934088ffe3197ea3.
==> node0: [INFO] Setting version for github.com/akutz/golf to v0.1.1.
==> node0: [INFO] Setting version for github.com/spf13/cobra to 363816bb13ce1710460c2345017fd35593cbf5ed.
==> node0: [INFO] Setting version for github.com/akutz/goof to v0.1.0.
==> node0: [INFO] Setting version for gopkg.in/yaml.v1 to b4a9f8c4b84c6c4256d669c649837f1441e4b050.
==> node0: [INFO] Setting version for gopkg.in/yaml.v2 to b4a9f8c4b84c6c4256d669c649837f1441e4b050.
==> node0: [INFO] Resolving imports
==> node0: [INFO] Fetching github.com/spf13/viper into /opt/go/src/github.com/emccode/rexray/vendor
==> node0: [INFO] Setting version for github.com/spf13/viper to support/rexray.
==> node0: [INFO] Fetching github.com/kardianos/osext into /opt/go/src/github.com/emccode/rexray/vendor
==> node0: [INFO] Setting version for github.com/kardianos/osext to master.
==> node0: [INFO] Fetching github.com/gorilla/context into /opt/go/src/github.com/emccode/rexray/vendor
==> node0: [INFO] Fetching github.com/gorilla/handlers into /opt/go/src/github.com/emccode/rexray/vendor
==> node0: [INFO] Fetching github.com/gorilla/mux into /opt/go/src/github.com/emccode/rexray/vendor
==> node0: [INFO] Fetching github.com/cpuguy83/go-md2man/md2man into /opt/go/src/github.com/emccode/rexray/vendor
==> node0: [INFO] Fetching github.com/inconshreveable/mousetrap into /opt/go/src/github.com/emccode/rexray/vendor
==> node0: [INFO] Fetching github.com/BurntSushi/toml into /opt/go/src/github.com/emccode/rexray/vendor
==> node0: [INFO] Fetching github.com/kr/pretty into /opt/go/src/github.com/emccode/rexray/vendor
==> node0: [INFO] Fetching github.com/magiconair/properties into /opt/go/src/github.com/emccode/rexray/vendor
==> node0: [INFO] Fetching github.com/mitchellh/mapstructure into /opt/go/src/github.com/emccode/rexray/vendor
==> node0: [INFO] Fetching github.com/spf13/cast into /opt/go/src/github.com/emccode/rexray/vendor
==> node0: [INFO] Fetching github.com/spf13/jwalterweatherman into /opt/go/src/github.com/emccode/rexray/vendor
==> node0: [INFO] Fetching gopkg.in/fsnotify.v1 into /opt/go/src/github.com/emccode/rexray/vendor
==> node0: [INFO] Fetching github.com/emccode/goisilon into /opt/go/src/github.com/emccode/rexray/vendor
==> node0: [INFO] Setting version for github.com/emccode/goisilon to f9b53f0aaadb12a26b134830142fc537f492cb13.
==> node0: [INFO] Fetching github.com/emccode/goscaleio into /opt/go/src/github.com/emccode/rexray/vendor
==> node0: [INFO] Setting version for github.com/emccode/goscaleio to 53ea76f52205380ab52b9c1f4ad89321c286bb95.
==> node0: [INFO] Fetching github.com/appropriate/go-virtualboxclient/vboxwebsrv into /opt/go/src/github.com/emccode/rexray/vendor
==> node0: [INFO] Setting version for github.com/appropriate/go-virtualboxclient to e0978ab2ed407095400a69d5933958dd260058cd.
==> node0: [INFO] Fetching github.com/russross/blackfriday into /opt/go/src/github.com/emccode/rexray/vendor
==> node0: [INFO] Fetching github.com/kr/text into /opt/go/src/github.com/emccode/rexray/vendor
==> node0: [INFO] Fetching golang.org/x/sys/unix into /opt/go/src/github.com/emccode/rexray/vendor
==> node0: [INFO] Fetching github.com/cesanta/ucl into /opt/go/src/github.com/emccode/rexray/vendor
==> node0: [INFO] Fetching github.com/cesanta/validate-json/schema into /opt/go/src/github.com/emccode/rexray/vendor
==> node0: [INFO] Fetching github.com/shurcooL/sanitized_anchor_name into /opt/go/src/github.com/emccode/rexray/vendor
==> node0: [INFO] Fetching github.com/asaskevich/govalidator into /opt/go/src/github.com/emccode/rexray/vendor
==> node0: [INFO] Fetching github.com/jteeuwen/go-bindata into /opt/go/src/github.com/emccode/rexray/vendor
==> node0: [INFO] Setting version for github.com/jteeuwen/go-bindata to feature/md5checksum.
==> node0: [INFO] Downloading dependencies. Please wait...
==> node0: [INFO] Setting references for remaining imports
==> node0: [INFO] Project relies on 38 dependencies.
==> node0: SUCCESS!
==> node0: ...go get...
==> node0: SUCCESS!
==> node0: cd vendor/github.com/emccode/libstorage && make api/api_generated.go && cd -
==> node0: echo generating api/api_generated.go
==> node0: generating api/api_generated.go
==> node0: /opt/go/src/github.com/emccode/rexray
==> node0: cd vendor/github.com/emccode/libstorage && make api/server/executors/executors_generated.go && cd -
==> node0: GOOS=linux GOARCH=amd64 go install ./api/types
==> node0: GOOS=linux GOARCH=amd64 go install ./api/context
==> node0: GOOS=linux GOARCH=amd64 go install ./api/utils
==> node0: GOOS=linux GOARCH=amd64 go install ./api/registry
==> node0: GOOS=linux GOARCH=amd64 go install ./api/utils/config
==> node0: GOOS=linux GOARCH=amd64 go install ./imports/config
==> node0: GOOS=linux GOARCH=amd64 go install ./drivers/storage/isilon
==> node0: GOOS=linux GOARCH=amd64 go install ./drivers/storage/isilon/executor
==> node0: GOOS=linux GOARCH=amd64 go install ./drivers/storage/scaleio
==> node0: GOOS=linux GOARCH=amd64 go install ./drivers/storage/scaleio/executor
==> node0: GOOS=linux GOARCH=amd64 go install ./drivers/storage/vbox
==> node0: GOOS=linux GOARCH=amd64 go install ./drivers/storage/vbox/executor
==> node0: GOOS=linux GOARCH=amd64 go install ./drivers/storage/vfs
==> node0: GOOS=linux GOARCH=amd64 go install ./drivers/storage/vfs/executor
==> node0: GOOS=linux GOARCH=amd64 go install ./imports/executors
==> node0: GOOS=linux GOARCH=amd64 go install ./cli/lsx
==> node0: GOOS=linux GOARCH=amd64 go install ./cli/lsx/lsx-linux
==> node0: env GOOS=darwin GOARCH=amd64 make /opt/go/bin/darwin_amd64/lsx-darwin
==> node0: GOOS=darwin GOARCH=amd64 go install ./api/types
==> node0: GOOS=darwin GOARCH=amd64 go install ./api/context
==> node0: GOOS=darwin GOARCH=amd64 go install ./api/utils
==> node0: GOOS=darwin GOARCH=amd64 go install ./api/registry
==> node0: GOOS=darwin GOARCH=amd64 go install ./api/utils/config
==> node0: GOOS=darwin GOARCH=amd64 go install ./imports/config
==> node0: GOOS=darwin GOARCH=amd64 go install ./drivers/storage/isilon
==> node0: GOOS=darwin GOARCH=amd64 go install ./drivers/storage/isilon/executor
==> node0: GOOS=darwin GOARCH=amd64 go install ./drivers/storage/scaleio
==> node0: GOOS=darwin GOARCH=amd64 go install ./drivers/storage/scaleio/executor
==> node0: GOOS=darwin GOARCH=amd64 go install ./drivers/storage/vbox
==> node0: GOOS=darwin GOARCH=amd64 go install ./drivers/storage/vbox/executor
==> node0: GOOS=darwin GOARCH=amd64 go install ./drivers/storage/vfs
==> node0: GOOS=darwin GOARCH=amd64 go install ./drivers/storage/vfs/executor
==> node0: GOOS=darwin GOARCH=amd64 go install ./imports/executors
==> node0: GOOS=darwin GOARCH=amd64 go install ./cli/lsx
==> node0: GOOS=darwin GOARCH=amd64 go install ./cli/lsx/lsx-darwin
==> node0: /opt/go/bin/go-bindata -md5checksum -pkg executors -prefix api/server/executors/bin -o api/server/executors/executors_generated.go api/server/executors/bin/...
==> node0: /opt/go/src/github.com/emccode/rexray
==> node0: SemVer: 0.4.0-rc4+314+dirty
==> node0: RpmVer: 0.4.0+rc4+314+dirty
==> node0: Branch: release/0.4.0-rc4
==> node0: Commit: ce3f7dd90e85f02dc36fb027a6018ad9dd3fcc8d
==> node0: Formed: Mon, 20 Jun 2016 20:35:09 UTC
==> node0: target: fmt
==> node0: ...formatting rexray...
==> node0: SUCCESS!
==> node0: target: install
==> node0: ...installing rexray Linux-x86_64...
==> node0: SUCCESS!
==> node0:
==> node0: The REX-Ray binary is 40MB and located at:
==> node0: /opt/go/bin/rexray
==> node0: Running provisioner: shell...
node0: Running: script: copy rex-ray
==> node0: stdin: is not a tty
==> node0: Running provisioner: shell...
node0: Running: script: config rex-ray
==> node0: stdin: is not a tty
==> node0: Running provisioner: shell...
node0: Running: script: rex-ray install
==> node0: stdin: is not a tty
==> node0: time="2016-06-20T20:35:37Z" level=info msg="making libStorage directory" mustPerm=true path="/etc/libstorage" perms=-rwxr-xr-x
==> node0: time="2016-06-20T20:35:37Z" level=info msg="making libStorage directory" mustPerm=true path="/var/lib/libstorage" perms=-rwxr-xr-x
==> node0: time="2016-06-20T20:35:37Z" level=info msg="making libStorage directory" mustPerm=true path="/var/log/libstorage" perms=-rwxr-xr-x
==> node0: time="2016-06-20T20:35:37Z" level=info msg="making libStorage directory" mustPerm=true path="/var/run/libstorage" perms=-rwxr-xr-x
==> node0: Adding system startup for /etc/init.d/rexray ...
==> node0: /etc/rc0.d/K20rexray -> ../init.d/rexray
==> node0: /etc/rc1.d/K20rexray -> ../init.d/rexray
==> node0: /etc/rc6.d/K20rexray -> ../init.d/rexray
==> node0: /etc/rc2.d/S20rexray -> ../init.d/rexray
==> node0: /etc/rc3.d/S20rexray -> ../init.d/rexray
==> node0: /etc/rc4.d/S20rexray -> ../init.d/rexray
==> node0: /etc/rc5.d/S20rexray -> ../init.d/rexray
==> node0: REX-Ray is now installed. Before starting it please check
==> node0: http://github.com/emccode/rexray for instructions on how to
==> node0: configure it.
==> node0:
==> node0: Once configured the REX-Ray service can be
==> node0: started with the command 'sudo /etc/init.d/rexray start'.
==> node0: Running provisioner: shell...
node0: Running: script: start rex-ray
==> node0: stdin: is not a tty
==> node0: Starting REX-Ray...
==> node0: SUCCESS!
==> node0: The REX-Ray daemon is now running at PID 7911. To
==> node0: shutdown the daemon execute the following command:
==> node0: sudo /usr/bin/rexray stop
==> node0: Running provisioner: shell...
node0: Running: script: rex-ray volume map
==> node0: time="2016-06-20T20:35:44Z" level=info msg="making libStorage directory" mustPerm=false path="/home/vagrant/.libstorage" perms=-rwxr-xr-x
==> node0: time="2016-06-20T20:35:44Z" level=info msg="making libStorage directory" mustPerm=true path="/home/vagrant/.libstorage/etc/libstorage" perms=-rwxr-xr-x
==> node0: time="2016-06-20T20:35:44Z" level=info msg="making libStorage directory" mustPerm=true path="/home/vagrant/.libstorage/var/lib/libstorage" perms=-rwxr-xr-x
==> node0: time="2016-06-20T20:35:44Z" level=info msg="making libStorage directory" mustPerm=true path="/home/vagrant/.libstorage/var/log/libstorage" perms=-rwxr-xr-x
==> node0: time="2016-06-20T20:35:44Z" level=info msg="making libStorage directory" mustPerm=true path="/home/vagrant/.libstorage/var/run/libstorage" perms=-rwxr-xr-x
==> node0: - attachments:
==> node0: - deviceName: /dev/sda1
==> node0: instanceID:
==> node0: id: 415c86ac-1e1d-42dd-b770-6f6dd559d9ec
==> node0: driver: virtualbox
==> node0: status: /Users/akutz/VirtualBox/rexray_node0_1466454695213_86206/box-disk1.vmdk
==> node0: volumeID: b948c34f-7a67-4efa-8117-0d9bc09afca4
==> node0: name: box-disk1.vmdk
==> node0: size: 40
==> node0: status: /Users/akutz/VirtualBox/rexray_node0_1466454695213_86206/box-disk1.vmdk
==> node0: id: b948c34f-7a67-4efa-8117-0d9bc09afca4
==> node0: type: ""
==> node1: Importing base box 'ubuntu/trusty64'...
==> node1: Matching MAC address for NAT networking...
==> node1: Checking if box 'ubuntu/trusty64' is up to date...
==> node1: Setting the name of the VM: rexray_node1_1466454958901_44990
==> node1: Clearing any previously set forwarded ports...
==> node1: Fixed port collision for 22 => 2222. Now on port 2200.
==> node1: Clearing any previously set network interfaces...
==> node1: Preparing network interfaces based on configuration...
node1: Adapter 1: nat
node1: Adapter 2: hostonly
==> node1: Forwarding ports...
node1: 22 (guest) => 2200 (host) (adapter 1)
==> node1: Running 'pre-boot' VM customizations...
==> node1: Booting VM...
==> node1: Waiting for machine to boot. This may take a few minutes...
node1: SSH address: 127.0.0.1:2200
node1: SSH username: vagrant
node1: SSH auth method: private key
node1: Warning: Remote connection disconnect. Retrying...
node1:
node1: Vagrant insecure key detected. Vagrant will automatically replace
node1: this with a newly generated keypair for better security.
node1:
node1: Inserting generated public key within guest...
node1: Removing insecure key from the guest if it's present...
node1: Key inserted! Disconnecting and reconnecting using new SSH key...
==> node1: Machine booted and ready!
==> node1: Checking for guest additions in VM...
node1: The guest additions on this VM do not match the installed version of
node1: VirtualBox! In most cases this is fine, but in rare cases it can
node1: prevent things such as shared folders from working properly. If you see
node1: shared folder errors, please make sure the guest additions within the
node1: virtual machine match the version of VirtualBox you have installed on
node1: your host and reload your VM.
node1:
node1: Guest Additions Version: 4.3.36
node1: VirtualBox Version: 5.0
==> node1: Setting hostname...
==> node1: Configuring and enabling network interfaces...
==> node1: Mounting shared folders...
node1: /vagrant => /Users/akutz/Projects/go/src/github.com/emccode/rexray
==> node1: Running provisioner: shell...
node1: Running: script: docker
==> node1: stdin: is not a tty
==> node1: Get:1 http://security.ubuntu.com trusty-security InRelease [65.9 kB]
==> node1: Ign http://archive.ubuntu.com trusty InRelease
==> node1: Get:2 http://archive.ubuntu.com trusty-updates InRelease [65.9 kB]
==> node1: Get:3 http://security.ubuntu.com trusty-security/main Sources [117 kB]
==> node1: Get:4 http://archive.ubuntu.com trusty-backports InRelease [65.9 kB]
==> node1: Get:5 http://security.ubuntu.com trusty-security/universe Sources [37.3 kB]
==> node1: Hit http://archive.ubuntu.com trusty Release.gpg
==> node1: Get:6 http://archive.ubuntu.com trusty-updates/main Sources [277 kB]
==> node1: Get:7 http://archive.ubuntu.com trusty-updates/restricted Sources [5,352 B]
==> node1: Get:8 http://security.ubuntu.com trusty-security/main amd64 Packages [493 kB]
==> node1: Get:9 http://archive.ubuntu.com trusty-updates/universe Sources [156 kB]
==> node1: Get:10 http://archive.ubuntu.com trusty-updates/multiverse Sources [5,936 B]
==> node1: Get:11 http://archive.ubuntu.com trusty-updates/main amd64 Packages [781 kB]
==> node1: Get:12 http://security.ubuntu.com trusty-security/universe amd64 Packages [130 kB]
==> node1: Get:13 http://security.ubuntu.com trusty-security/main Translation-en [271 kB]
==> node1: Get:14 http://archive.ubuntu.com trusty-updates/restricted amd64 Packages [15.9 kB]
==> node1: Get:15 http://archive.ubuntu.com trusty-updates/universe amd64 Packages [362 kB]
==> node1: Get:16 http://security.ubuntu.com trusty-security/universe Translation-en [76.6 kB]
==> node1: Get:17 http://archive.ubuntu.com trusty-updates/multiverse amd64 Packages [13.2 kB]
==> node1: Get:18 http://archive.ubuntu.com trusty-updates/main Translation-en [391 kB]
==> node1: Get:19 http://archive.ubuntu.com trusty-updates/multiverse Translation-en [7,227 B]
==> node1: Get:20 http://archive.ubuntu.com trusty-updates/restricted Translation-en [3,699 B]
==> node1: Get:21 http://archive.ubuntu.com trusty-updates/universe Translation-en [189 kB]
==> node1: Get:22 http://archive.ubuntu.com trusty-backports/main Sources [9,551 B]
==> node1: Get:23 http://archive.ubuntu.com trusty-backports/restricted Sources [28 B]
==> node1: Get:24 http://archive.ubuntu.com trusty-backports/universe Sources [35.2 kB]
==> node1: Get:25 http://archive.ubuntu.com trusty-backports/multiverse Sources [1,898 B]
==> node1: Get:26 http://archive.ubuntu.com trusty-backports/main amd64 Packages [13.3 kB]
==> node1: Get:27 http://archive.ubuntu.com trusty-backports/restricted amd64 Packages [28 B]
==> node1: Get:28 http://archive.ubuntu.com trusty-backports/universe amd64 Packages [43.2 kB]
==> node1: Get:29 http://archive.ubuntu.com trusty-backports/multiverse amd64 Packages [1,571 B]
==> node1: Get:30 http://archive.ubuntu.com trusty-backports/main Translation-en [7,505 B]
==> node1: Get:31 http://archive.ubuntu.com trusty-backports/multiverse Translation-en [1,215 B]
==> node1: Get:32 http://archive.ubuntu.com trusty-backports/restricted Translation-en [28 B]
==> node1: Get:33 http://archive.ubuntu.com trusty-backports/universe Translation-en [36.8 kB]
==> node1: Hit http://archive.ubuntu.com trusty Release
==> node1: Get:34 http://archive.ubuntu.com trusty/main Sources [1,064 kB]
==> node1: Get:35 http://archive.ubuntu.com trusty/restricted Sources [5,433 B]
==> node1: Get:36 http://archive.ubuntu.com trusty/universe Sources [6,399 kB]
==> node1: Get:37 http://archive.ubuntu.com trusty/multiverse Sources [174 kB]
==> node1: Hit http://archive.ubuntu.com trusty/main amd64 Packages
==> node1: Hit http://archive.ubuntu.com trusty/restricted amd64 Packages
==> node1: Hit http://archive.ubuntu.com trusty/universe amd64 Packages
==> node1: Hit http://archive.ubuntu.com trusty/multiverse amd64 Packages
==> node1: Hit http://archive.ubuntu.com trusty/main Translation-en
==> node1: Hit http://archive.ubuntu.com trusty/multiverse Translation-en
==> node1: Hit http://archive.ubuntu.com trusty/restricted Translation-en
==> node1: Hit http://archive.ubuntu.com trusty/universe Translation-en
==> node1: Ign http://archive.ubuntu.com trusty/main Translation-en_US
==> node1: Ign http://archive.ubuntu.com trusty/multiverse Translation-en_US
==> node1: Ign http://archive.ubuntu.com trusty/restricted Translation-en_US
==> node1: Ign http://archive.ubuntu.com trusty/universe Translation-en_US
==> node1: Fetched 11.3 MB in 14s (757 kB/s)
==> node1: Reading package lists...
==> node1: Reading package lists...
==> node1: Building dependency tree...
==> node1: Reading state information...
==> node1: apt-transport-https is already the newest version.
==> node1: ca-certificates is already the newest version.
==> node1: 0 upgraded, 0 newly installed, 0 to remove and 9 not upgraded.
==> node1: Executing: gpg --ignore-time-conflict --no-options --no-default-keyring --homedir /tmp/tmp.aKCjtXtjAv --no-auto-check-trustdb --trust-model always --keyring /etc/apt/trusted.gpg --primary-keyring /etc/apt/trusted.gpg --keyserver hkp://p80.pool.sks-keyservers.net:80 --recv-keys 58118E89F3A912897C070ADBF76221572C52609D
==> node1: gpg:
==> node1: requesting key 2C52609D from hkp server p80.pool.sks-keyservers.net
==> node1: gpg:
==> node1: key 2C52609D: public key "Docker Release Tool (releasedocker) <docker@docker.com>" imported
==> node1: gpg:
==> node1: Total number processed: 1
==> node1: gpg:
==> node1: imported: 1
==> node1: (RSA: 1)
==> node1: Hit http://security.ubuntu.com trusty-security InRelease
==> node1: Ign http://archive.ubuntu.com trusty InRelease
==> node1: Hit http://archive.ubuntu.com trusty-updates InRelease
==> node1: Hit http://security.ubuntu.com trusty-security/main Sources
==> node1: Get:1 https://apt.dockerproject.org ubuntu-trusty InRelease
==> node1: Get:2 https://apt.dockerproject.org ubuntu-trusty/main amd64 Packages
==> node1: Hit http://archive.ubuntu.com trusty-backports InRelease
==> node1: Hit http://security.ubuntu.com trusty-security/universe Sources
==> node1: Get:3 https://apt.dockerproject.org ubuntu-trusty/main Translation-en_US
==> node1: Hit http://archive.ubuntu.com trusty Release.gpg
==> node1: Hit http://security.ubuntu.com trusty-security/main amd64 Packages
==> node1: Hit http://archive.ubuntu.com trusty-updates/main Sources
==> node1: Ign https://apt.dockerproject.org ubuntu-trusty/main Translation-en_US
==> node1: Hit http://security.ubuntu.com trusty-security/universe amd64 Packages
==> node1: Ign https://apt.dockerproject.org ubuntu-trusty/main Translation-en
==> node1: Hit http://archive.ubuntu.com trusty-updates/restricted Sources
==> node1: Hit http://security.ubuntu.com trusty-security/main Translation-en
==> node1: Hit http://archive.ubuntu.com trusty-updates/universe Sources
==> node1: Hit http://security.ubuntu.com trusty-security/universe Translation-en
==> node1: Hit http://archive.ubuntu.com trusty-updates/multiverse Sources
==> node1: Hit http://archive.ubuntu.com trusty-updates/main amd64 Packages
==> node1: Hit http://archive.ubuntu.com trusty-updates/restricted amd64 Packages
==> node1: Hit http://archive.ubuntu.com trusty-updates/universe amd64 Packages
==> node1: Hit http://archive.ubuntu.com trusty-updates/multiverse amd64 Packages
==> node1: Hit http://archive.ubuntu.com trusty-updates/main Translation-en
==> node1: Hit http://archive.ubuntu.com trusty-updates/multiverse Translation-en
==> node1: Hit http://archive.ubuntu.com trusty-updates/restricted Translation-en
==> node1: Hit http://archive.ubuntu.com trusty-updates/universe Translation-en
==> node1: Hit http://archive.ubuntu.com trusty-backports/main Sources
==> node1: Hit http://archive.ubuntu.com trusty-backports/restricted Sources
==> node1: Hit http://archive.ubuntu.com trusty-backports/universe Sources
==> node1: Hit http://archive.ubuntu.com trusty-backports/multiverse Sources
==> node1: Hit http://archive.ubuntu.com trusty-backports/main amd64 Packages
==> node1: Hit http://archive.ubuntu.com trusty-backports/restricted amd64 Packages
==> node1: Hit http://archive.ubuntu.com trusty-backports/universe amd64 Packages
==> node1: Hit http://archive.ubuntu.com trusty-backports/multiverse amd64 Packages
==> node1: Hit http://archive.ubuntu.com trusty-backports/main Translation-en
==> node1: Hit http://archive.ubuntu.com trusty-backports/multiverse Translation-en
==> node1: Hit http://archive.ubuntu.com trusty-backports/restricted Translation-en
==> node1: Hit http://archive.ubuntu.com trusty-backports/universe Translation-en
==> node1: Hit http://archive.ubuntu.com trusty Release
==> node1: Hit http://archive.ubuntu.com trusty/main Sources
==> node1: Hit http://archive.ubuntu.com trusty/restricted Sources
==> node1: Hit http://archive.ubuntu.com trusty/universe Sources
==> node1: Hit http://archive.ubuntu.com trusty/multiverse Sources
==> node1: Hit http://archive.ubuntu.com trusty/main amd64 Packages
==> node1: Hit http://archive.ubuntu.com trusty/restricted amd64 Packages
==> node1: Hit http://archive.ubuntu.com trusty/universe amd64 Packages
==> node1: Hit http://archive.ubuntu.com trusty/multiverse amd64 Packages
==> node1: Hit http://archive.ubuntu.com trusty/main Translation-en
==> node1: Hit http://archive.ubuntu.com trusty/multiverse Translation-en
==> node1: Hit http://archive.ubuntu.com trusty/restricted Translation-en
==> node1: Hit http://archive.ubuntu.com trusty/universe Translation-en
==> node1: Ign http://archive.ubuntu.com trusty/main Translation-en_US
==> node1: Ign http://archive.ubuntu.com trusty/multiverse Translation-en_US
==> node1: Ign http://archive.ubuntu.com trusty/restricted Translation-en_US
==> node1: Ign http://archive.ubuntu.com trusty/universe Translation-en_US
==> node1: Fetched 25.6 kB in 8s (2,992 B/s)
==> node1: Reading package lists...
==> node1: Reading package lists...
==> node1: Building dependency tree...
==> node1: Reading state information...
==> node1: Package 'lxc-docker' is not installed, so not removed
==> node1: 0 upgraded, 0 newly installed, 0 to remove and 9 not upgraded.
==> node1: Reading package lists...
==> node1: Building dependency tree...
==> node1: Reading state information...
==> node1: The following extra packages will be installed:
==> node1: crda iw libnl-3-200 libnl-genl-3-200 wireless-regdb
==> node1: The following NEW packages will be installed:
==> node1: crda iw libnl-3-200 libnl-genl-3-200 linux-image-extra-3.13.0-87-generic
==> node1: wireless-regdb
==> node1: 0 upgraded, 6 newly installed, 0 to remove and 9 not upgraded.
==> node1: Need to get 36.9 MB of archives.
==> node1: After this operation, 153 MB of additional disk space will be used.
==> node1: Do you want to continue?
==> node1: [Y/n]
==> node1: Abort.
==> node1: Reading package lists...
==> node1: Building dependency tree...
==> node1: Reading state information...
==> node1: apparmor is already the newest version.
==> node1: 0 upgraded, 0 newly installed, 0 to remove and 9 not upgraded.
==> node1: Hit http://security.ubuntu.com trusty-security InRelease
==> node1: Ign http://archive.ubuntu.com trusty InRelease
==> node1: Hit https://apt.dockerproject.org ubuntu-trusty InRelease
==> node1: Hit http://archive.ubuntu.com trusty-updates InRelease
==> node1: Hit https://apt.dockerproject.org ubuntu-trusty/main amd64 Packages
==> node1: Hit http://security.ubuntu.com trusty-security/main Sources
==> node1: Get:1 https://apt.dockerproject.org ubuntu-trusty/main Translation-en_US
==> node1: Hit http://archive.ubuntu.com trusty-backports InRelease
==> node1: Hit http://security.ubuntu.com trusty-security/universe Sources
==> node1: Hit http://archive.ubuntu.com trusty Release.gpg
==> node1: Hit http://security.ubuntu.com trusty-security/main amd64 Packages
==> node1: Ign https://apt.dockerproject.org ubuntu-trusty/main Translation-en_US
==> node1: Ign https://apt.dockerproject.org ubuntu-trusty/main Translation-en
==> node1: Hit http://archive.ubuntu.com trusty-updates/main Sources
==> node1: Hit http://security.ubuntu.com trusty-security/universe amd64 Packages
==> node1: Hit http://archive.ubuntu.com trusty-updates/restricted Sources
==> node1: Hit http://security.ubuntu.com trusty-security/main Translation-en
==> node1: Hit http://archive.ubuntu.com trusty-updates/universe Sources
==> node1: Hit http://security.ubuntu.com trusty-security/universe Translation-en
==> node1: Hit http://archive.ubuntu.com trusty-updates/multiverse Sources
==> node1: Hit http://archive.ubuntu.com trusty-updates/main amd64 Packages
==> node1: Hit http://archive.ubuntu.com trusty-updates/restricted amd64 Packages
==> node1: Hit http://archive.ubuntu.com trusty-updates/universe amd64 Packages
==> node1: Hit http://archive.ubuntu.com trusty-updates/multiverse amd64 Packages
==> node1: Hit http://archive.ubuntu.com trusty-updates/main Translation-en
==> node1: Hit http://archive.ubuntu.com trusty-updates/multiverse Translation-en
==> node1: Hit http://archive.ubuntu.com trusty-updates/restricted Translation-en
==> node1: Hit http://archive.ubuntu.com trusty-updates/universe Translation-en
==> node1: Hit http://archive.ubuntu.com trusty-backports/main Sources
==> node1: Hit http://archive.ubuntu.com trusty-backports/restricted Sources
==> node1: Hit http://archive.ubuntu.com trusty-backports/universe Sources
==> node1: Hit http://archive.ubuntu.com trusty-backports/multiverse Sources
==> node1: Hit http://archive.ubuntu.com trusty-backports/main amd64 Packages
==> node1: Hit http://archive.ubuntu.com trusty-backports/restricted amd64 Packages
==> node1: Hit http://archive.ubuntu.com trusty-backports/universe amd64 Packages
==> node1: Hit http://archive.ubuntu.com trusty-backports/multiverse amd64 Packages
==> node1: Hit http://archive.ubuntu.com trusty-backports/main Translation-en
==> node1: Hit http://archive.ubuntu.com trusty-backports/multiverse Translation-en
==> node1: Hit http://archive.ubuntu.com trusty-backports/restricted Translation-en
==> node1: Hit http://archive.ubuntu.com trusty-backports/universe Translation-en
==> node1: Hit http://archive.ubuntu.com trusty Release
==> node1: Hit http://archive.ubuntu.com trusty/main Sources
==> node1: Hit http://archive.ubuntu.com trusty/restricted Sources
==> node1: Hit http://archive.ubuntu.com trusty/universe Sources
==> node1: Hit http://archive.ubuntu.com trusty/multiverse Sources
==> node1: Hit http://archive.ubuntu.com trusty/main amd64 Packages
==> node1: Hit http://archive.ubuntu.com trusty/restricted amd64 Packages
==> node1: Hit http://archive.ubuntu.com trusty/universe amd64 Packages
==> node1: Hit http://archive.ubuntu.com trusty/multiverse amd64 Packages
==> node1: Hit http://archive.ubuntu.com trusty/main Translation-en
==> node1: Hit http://archive.ubuntu.com trusty/multiverse Translation-en
==> node1: Hit http://archive.ubuntu.com trusty/restricted Translation-en
==> node1: Hit http://archive.ubuntu.com trusty/universe Translation-en
==> node1: Ign http://archive.ubuntu.com trusty/main Translation-en_US
==> node1: Ign http://archive.ubuntu.com trusty/multiverse Translation-en_US
==> node1: Ign http://archive.ubuntu.com trusty/restricted Translation-en_US
==> node1: Ign http://archive.ubuntu.com trusty/universe Translation-en_US
==> node1: Reading package lists...
==> node1: Reading package lists...
==> node1: Building dependency tree...
==> node1: Reading state information...
==> node1: The following extra packages will be installed:
==> node1: aufs-tools cgroup-lite git git-man liberror-perl libsystemd-journal0
==> node1: Suggested packages:
==> node1: git-daemon-run git-daemon-sysvinit git-doc git-el git-email git-gui gitk
==> node1: gitweb git-arch git-bzr git-cvs git-mediawiki git-svn
==> node1: The following NEW packages will be installed:
==> node1: aufs-tools cgroup-lite docker-engine git git-man liberror-perl
==> node1: libsystemd-journal0
==> node1: 0 upgraded, 7 newly installed, 0 to remove and 9 not upgraded.
==> node1: Need to get 17.8 MB of archives.
==> node1: After this operation, 95.5 MB of additional disk space will be used.
==> node1: Get:1 http://archive.ubuntu.com/ubuntu/ trusty-updates/main libsystemd-journal0 amd64 204-5ubuntu20.19 [50.1 kB]
==> node1: Get:2 https://apt.dockerproject.org/repo/ ubuntu-trusty/main docker-engine amd64 1.11.2-0~trusty [14.4 MB]
==> node1: Get:3 http://archive.ubuntu.com/ubuntu/ trusty/universe aufs-tools amd64 1:3.2+20130722-1.1 [92.3 kB]
==> node1: Get:4 http://archive.ubuntu.com/ubuntu/ trusty/main liberror-perl all 0.17-1.1 [21.1 kB]
==> node1: Get:5 http://archive.ubuntu.com/ubuntu/ trusty-updates/main git-man all 1:1.9.1-1ubuntu0.3 [699 kB]
==> node1: Get:6 http://archive.ubuntu.com/ubuntu/ trusty-updates/main git amd64 1:1.9.1-1ubuntu0.3 [2,586 kB]
==> node1: Get:7 http://archive.ubuntu.com/ubuntu/ trusty/main cgroup-lite all 1.9 [3,918 B]
==> node1: dpkg-preconfigure: unable to re-open stdin: No such file or directory
==> node1: Fetched 17.8 MB in 4s (3,708 kB/s)
==> node1: Selecting previously unselected package libsystemd-journal0:amd64.
==> node1: (Reading database ... 62989 files and directories currently installed.)
==> node1: Preparing to unpack .../libsystemd-journal0_204-5ubuntu20.19_amd64.deb ...
==> node1: Unpacking libsystemd-journal0:amd64 (204-5ubuntu20.19) ...
==> node1: Selecting previously unselected package aufs-tools.
==> node1: Preparing to unpack .../aufs-tools_1%3a3.2+20130722-1.1_amd64.deb ...
==> node1: Unpacking aufs-tools (1:3.2+20130722-1.1) ...
==> node1: Selecting previously unselected package docker-engine.
==> node1: Preparing to unpack .../docker-engine_1.11.2-0~trusty_amd64.deb ...
==> node1: Unpacking docker-engine (1.11.2-0~trusty) ...
==> node1: Selecting previously unselected package liberror-perl.
==> node1: Preparing to unpack .../liberror-perl_0.17-1.1_all.deb ...
==> node1: Unpacking liberror-perl (0.17-1.1) ...
==> node1: Selecting previously unselected package git-man.
==> node1: Preparing to unpack .../git-man_1%3a1.9.1-1ubuntu0.3_all.deb ...
==> node1: Unpacking git-man (1:1.9.1-1ubuntu0.3) ...
==> node1: Selecting previously unselected package git.
==> node1: Preparing to unpack .../git_1%3a1.9.1-1ubuntu0.3_amd64.deb ...
==> node1: Unpacking git (1:1.9.1-1ubuntu0.3) ...
==> node1: Selecting previously unselected package cgroup-lite.
==> node1: Preparing to unpack .../cgroup-lite_1.9_all.deb ...
==> node1: Unpacking cgroup-lite (1.9) ...
==> node1: Processing triggers for man-db (2.6.7.1-1ubuntu1) ...
==> node1: Processing triggers for ureadahead (0.100.0-16) ...
==> node1: Setting up libsystemd-journal0:amd64 (204-5ubuntu20.19) ...
==> node1: Setting up aufs-tools (1:3.2+20130722-1.1) ...
==> node1: Setting up docker-engine (1.11.2-0~trusty) ...
==> node1: docker start/running, process 4767
==> node1: Setting up liberror-perl (0.17-1.1) ...
==> node1: Setting up git-man (1:1.9.1-1ubuntu0.3) ...
==> node1: Setting up git (1:1.9.1-1ubuntu0.3) ...
==> node1: Setting up cgroup-lite (1.9) ...
==> node1: cgroup-lite start/running
==> node1: Processing triggers for libc-bin (2.19-0ubuntu6.9) ...
==> node1: Processing triggers for ureadahead (0.100.0-16) ...
==> node1: start: Job is already running: docker
==> node1: Unable to find image 'hello-world:latest' locally
==> node1: latest: Pulling from library/hello-world
==> node1: a9d36faac0fe: Pulling fs layer
==> node1: a9d36faac0fe: Verifying Checksum
==> node1: a9d36faac0fe: Download complete
==> node1: a9d36faac0fe: Pull complete
==> node1: Digest: sha256:e52be8ffeeb1f374f440893189cd32f44cb166650e7ab185fa7735b7dc48d619
==> node1: Status: Downloaded newer image for hello-world:latest
==> node1:
==> node1: Hello from Docker.
==> node1: This message shows that your installation appears to be working correctly.
==> node1:
==> node1: To generate this message, Docker took the following steps:
==> node1: 1. The Docker client contacted the Docker daemon.
==> node1: 2. The Docker daemon pulled the "hello-world" image from the Docker Hub.
==> node1: 3. The Docker daemon created a new container from that image which runs the
==> node1: executable that produces the output you are currently reading.
==> node1: 4. The Docker daemon streamed that output to the Docker client, which sent it
==> node1: to your terminal.
==> node1:
==> node1: To try something more ambitious, you can run an Ubuntu container with:
==> node1: $ docker run -it ubuntu bash
==> node1:
==> node1: Share images, automate workflows, and more with a free Docker Hub account:
==> node1: https://hub.docker.com
==> node1:
==> node1: For more examples and ideas, visit:
==> node1: https://docs.docker.com/engine/userguide/
==> node1: Running provisioner: file...
==> node1: Running provisioner: shell...
node1: Running: script: scp rexray
==> node1: stdin: is not a tty
==> node1: Running provisioner: shell...
node1: Running: script: config rex-ray
==> node1: stdin: is not a tty
==> node1: Running provisioner: shell...
node1: Running: script: rex-ray install
==> node1: stdin: is not a tty
==> node1: time="2016-06-20T20:37:21Z" level=info msg="making libStorage directory" mustPerm=true path="/etc/libstorage" perms=-rwxr-xr-x
==> node1: time="2016-06-20T20:37:21Z" level=info msg="making libStorage directory" mustPerm=true path="/var/lib/libstorage" perms=-rwxr-xr-x
==> node1: time="2016-06-20T20:37:21Z" level=info msg="making libStorage directory" mustPerm=true path="/var/log/libstorage" perms=-rwxr-xr-x
==> node1: time="2016-06-20T20:37:21Z" level=info msg="making libStorage directory" mustPerm=true path="/var/run/libstorage" perms=-rwxr-xr-x
==> node1: Adding system startup for /etc/init.d/rexray ...
==> node1: /etc/rc0.d/K20rexray -> ../init.d/rexray
==> node1: /etc/rc1.d/K20rexray -> ../init.d/rexray
==> node1: /etc/rc6.d/K20rexray -> ../init.d/rexray
==> node1: /etc/rc2.d/S20rexray -> ../init.d/rexray
==> node1: /etc/rc3.d/S20rexray -> ../init.d/rexray
==> node1: /etc/rc4.d/S20rexray -> ../init.d/rexray
==> node1: /etc/rc5.d/S20rexray -> ../init.d/rexray
==> node1: REX-Ray is now installed. Before starting it please check
==> node1: http://github.com/emccode/rexray for instructions on how to
==> node1: configure it.
==> node1:
==> node1: Once configured the REX-Ray service can be
==> node1: started with the command 'sudo /etc/init.d/rexray start'.
==> node1: Running provisioner: shell...
node1: Running: script: start rex-ray
==> node1: stdin: is not a tty
==> node1: Starting REX-Ray...
==> node1: SUCCESS!
==> node1: The REX-Ray daemon is now running at PID 5194. To
==> node1: shutdown the daemon execute the following command:
==> node1: sudo /usr/bin/rexray stop
==> node1: Running provisioner: shell...
node1: Running: script: rex-ray volume map
==> node1: time="2016-06-20T20:37:27Z" level=info msg="making libStorage directory" mustPerm=false path="/home/vagrant/.libstorage" perms=-rwxr-xr-x
==> node1: time="2016-06-20T20:37:27Z" level=info msg="making libStorage directory" mustPerm=true path="/home/vagrant/.libstorage/etc/libstorage" perms=-rwxr-xr-x
==> node1: time="2016-06-20T20:37:27Z" level=info msg="making libStorage directory" mustPerm=true path="/home/vagrant/.libstorage/var/lib/libstorage" perms=-rwxr-xr-x
==> node1: time="2016-06-20T20:37:27Z" level=info msg="making libStorage directory" mustPerm=true path="/home/vagrant/.libstorage/var/log/libstorage" perms=-rwxr-xr-x
==> node1: time="2016-06-20T20:37:27Z" level=info msg="making libStorage directory" mustPerm=true path="/home/vagrant/.libstorage/var/run/libstorage" perms=-rwxr-xr-x
==> node1: - attachments:
==> node1: - deviceName: /dev/sda1
==> node1: instanceID:
==> node1: id: d35ead79-01b7-43e7-b271-a8652691b01f
==> node1: driver: virtualbox
==> node1: status: /Users/akutz/VirtualBox/rexray_node1_1466454958901_44990/box-disk1.vmdk
==> node1: volumeID: 5d2d4f88-59f1-4a87-aca4-5bea427cf1eb
==> node1: name: box-disk1.vmdk
==> node1: size: 40
==> node1: status: /Users/akutz/VirtualBox/rexray_node1_1466454958901_44990/box-disk1.vmdk
==> node1: id: 5d2d4f88-59f1-4a87-aca4-5bea427cf1eb
==> node1: type: ""
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.